<?php 
if(!defined('IN_DEMOSOSO')) {
	exit('this is wrong page,please back to homepage');
}
$res = array();
if(trim($v)=='') {
    $res['datares'] = 'null';
}
else{


$sql = "SELECT * from ".TABLE_NODE."  where   sta_search='y' and sta_noaccess='n' and  title  Like '%{$v}%'     $andlangbh order by id desc limit 100";

 // echo $sql;
    /*begin page roll*/
     $num_rows = get_numrows($sql);
     if($num_rows>0){
		 $result = getall($sql);
		// pre($result);
		 
		 foreach( $result as  $k=>$v){
			$res['data'][$k]['id'] =  $v['id'];
			$res['data'][$k]['title'] =  $v['title'];
			$res['data'][$k]['kvsm'] =  UPLOADPATHIMAGE.$v['kvsm'];
			$dateedit  = substr($v['dateedit'],0,10);
			$res['data'][$k]['dateedit'] = $dateedit;
	 

		}
		$res['datares'] = 'yes';


	 
		 
	 }
	 else {
		$res['datares'] = '没有查到相关数据。';
	 }
	}	 
	 if($test=='y') pre($res);

	 		// pre($_SERVER['HTTP_ACCEPT']);
			 $jsonv = json_encode($res,JSON_UNESCAPED_UNICODE);
			 //echo $jsonv;
			  echo api_jsonp_encode($jsonv); 

 

		
?>